import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { EnglandComponent } from './england/england.component';
import { FranceComponent } from './france/france.component';
import { GreeceComponent } from './greece/greece.component';
import { SpainComponent } from './spain/spain.component';

const routes: Routes = [
  { path: 'countries/england', component: EnglandComponent },
  { path: 'countries/france', component: FranceComponent },
  { path: 'countries/spain', component: SpainComponent },
  { path: 'countries/greece', component: GreeceComponent },
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule],
})
export class AppRoutingModule {}
